Endpoint reference
Docker Disk Usage
Docker Disk Usage get Disk Usage
Authorization
apiKey x-api-key<token>
API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Query Parameters
serverId?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/dockerDiskUsage.getDiskUsage"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Docker Disk Usage get Build Cache
Authorization
apiKey x-api-key<token>
API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Query Parameters
serverId?string
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://your-notploy-instance.com/api/dockerDiskUsage.getBuildCache"{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Docker Disk Usage prune Build Cache
Authorization
apiKey x-api-key<token>
API key authentication. Generate an API key from your Notploy dashboard under Settings > API Keys.
In: header
Request Body
application/json
serverId?string
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://your-notploy-instance.com/api/dockerDiskUsage.pruneBuildCache" \ -H "Content-Type: application/json" \ -d '{}'{}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}